% This file contains the script to load the data published in the following article:
% Vinnakota K and Bassingthwaighte JB. Myocardial density and composition:  A basis for calculating  intra metabolite concentrations. 
% Am J Physiol Heart Circ Physiol 286: H1742-H1749, 2004.
% The data and the script may be freely disributed and used on the
% condition that the aforementioned article be cited.


load AJPpublished
%Table 3
display('TABLE 3')
heart_MEAN
heart_CV
myocard_MEAN
Plasma_MEAN
Plasma_CV
RBC_CV 
ISF_MEAN
ISF_CV 
cell_MEAN
cell_CV
cyto_MEAN
cyto_CV
mito_MEAN
mito_CV
sr_MEAN
sr_CV
display('TABLE 4')
%Large vessels
a = mean([[R_LV.*V_LV.*W_LV R_LV.*V_LV.*P_LV R_LV.*V_LV.*F_LV R_LV.*V_LV.*S_LV] sum([R_LV.*V_LV.*W_LV R_LV.*V_LV.*P_LV R_LV.*V_LV.*F_LV R_LV.*V_LV.*S_LV],2)])
%Microvasculature
b = mean([[R_micro.*V_micro.*W_micro R_micro.*V_micro.*P_micro R_micro.*V_micro.*F_micro R_micro.*V_micro.*S_micro] sum([R_micro.*V_micro.*W_micro R_micro.*V_micro.*P_micro R_micro.*V_micro.*F_micro R_micro.*V_micro.*S_micro],2)])
%ISF
ISFheart = [ISF(:,1).*ISF(:,2).*ISF(:,3)./gorgpergtiss ISF(:,1).*ISF(:,2).*ISF(:,4)./gorgpergtiss ISF(:,1).*ISF(:,2).*ISF(:,5)./gorgpergtiss ISF(:,1).*ISF(:,2).*ISF(:,6)./gorgpergtiss];
c= mean([ISFheart sum(ISFheart,2)])
%cell
cellheart = [cell(:,1).*cell(:,2).*cell(:,3)./gorgpergtiss cell(:,1).*cell(:,2).*cell(:,4)./gorgpergtiss cell(:,1).*cell(:,2).*cell(:,5)./gorgpergtiss cell(:,1).*cell(:,2).*cell(:,6)./gorgpergtiss];
d=mean([cellheart sum(cellheart,2)])
%cytoplasm
cytoheart = [cyto(:,1).*cyto(:,2).*cyto(:,3)./gorgpergtiss cyto(:,1).*cyto(:,2).*cyto(:,4)./gorgpergtiss cyto(:,1).*cyto(:,2).*cyto(:,5)./gorgpergtiss cyto(:,1).*cyto(:,2).*cyto(:,6)./gorgpergtiss];
e=mean([cytoheart sum(cytoheart,2)])
%mitochondria
mitoheart = [mito(:,1).*mito(:,2).*mito(:,3)./gorgpergtiss mito(:,1).*mito(:,2).*mito(:,4)./gorgpergtiss mito(:,1).*mito(:,2).*mito(:,5)./gorgpergtiss mito(:,1).*mito(:,2).*mito(:,6)./gorgpergtiss];
f=mean([mitoheart sum(mitoheart,2)])
%sarcoplasmic reticulum
srheart = [sr(:,1).*sr(:,2).*sr(:,3)./gorgpergtiss sr(:,1).*sr(:,2).*sr(:,4)./gorgpergtiss sr(:,1).*sr(:,2).*sr(:,5)./gorgpergtiss sr(:,1).*sr(:,2).*sr(:,6)./gorgpergtiss];
%Total organ: heart
g=mean([srheart sum(srheart,2)])
sum([a;b;c;d],1)
[heart_MEAN(1)*heart_MEAN(2).*heart_MEAN(3:6) sum(heart_MEAN(1)*heart_MEAN(2).*heart_MEAN(3:6),2)]

%Table 5
DATA = [heart myocard plasma RBC ISF cell cyto mito sr];

%Water spaces
d=6;
for i = 1:9
    Water(i,:) = [mean(DATA(:,1+(i-1)*d).*DATA(:,2+(i-1)*d).*DATA(:,3+(i-1)*d)) ...
            std(DATA(:,1+(i-1)*d).*DATA(:,2+(i-1)*d).*DATA(:,3+(i-1)*d)) ...
            100*std(DATA(:,1+(i-1)*d).*DATA(:,2+(i-1)*d).*DATA(:,3+(i-1)*d))/mean(DATA(:,1+(i-1)*d).*DATA(:,2+(i-1)*d).*DATA(:,3+(i-1)*d))]./Rw;
end
Water

for i = 1:9
    Water_dry(i,:) = [mean(DATA(:,1+(i-1)*d).*DATA(:,2+(i-1)*d).*DATA(:,3+(i-1)*d)./(1-DATA(:,3))) ...
            std(DATA(:,1+(i-1)*d).*DATA(:,2+(i-1)*d).*DATA(:,3+(i-1)*d)./(1-DATA(:,3))) ...
            100*std(DATA(:,1+(i-1)*d).*DATA(:,2+(i-1)*d).*DATA(:,3+(i-1)*d)./(1-DATA(:,3)))/mean(DATA(:,1+(i-1)*d).*DATA(:,2+(i-1)*d).*DATA(:,3+(i-1)*d)./(1-DATA(:,3)))]./Rw;
end
Water_dry

for i = 1:9
    Water_protein(i,:) = [mean(DATA(:,1+(i-1)*d).*DATA(:,2+(i-1)*d).*DATA(:,3+(i-1)*d)./DATA(:,4)) ...
            std(DATA(:,1+(i-1)*d).*DATA(:,2+(i-1)*d).*DATA(:,3+(i-1)*d)./DATA(:,4)) ...
            100*std(DATA(:,1+(i-1)*d).*DATA(:,2+(i-1)*d).*DATA(:,3+(i-1)*d)./DATA(:,4))/mean(DATA(:,1+(i-1)*d).*DATA(:,2+(i-1)*d).*DATA(:,3+(i-1)*d)./DATA(:,4))]./Rw;
end
Water_protein

%Plotting histograms of tissue composition variables

figure;nvar=8;npar=6;
for j = 1:1:nvar
    for i = 1:1:npar
        x = 0.1+(i-1)*0.9/npar;
        y = 0.1+(j-1)*0.9/nvar;
        axes('position',[x,y,0.9/npar,0.9/nvar]);
        column = (npar*nvar+1 - (j-1)*npar) + (i-1); 
        Z = (DATA(:,column)-mean(DATA(:,column)))./std(DATA(:,column));
        [N,X] = hist(Z,20);
        if ((i==1)&(j~=1))
            bar(X,N./(sum(N)*(X(length(X))-X(1))/(length(X)-1)),'hist')
            h = findobj(gca,'Type','patch');
            set(h,'FaceColor','k');
            set(gca,'XLim',[-3*std(Z) 3*std(Z)],'XTick',std(Z).*[-2 -1 0 1 2] ,'TickDir','out','TickLength',[0.02 0],'FontSize',10,'FontWeight','normal','XTickLabel',{'';'';'';'';''},...
            'YLim', [0 0.8], 'YTick',[0.0 0.2 0.4 0.6], 'YTickLabel',{'0','','0.4',''})
    elseif ((i==1)&(j==1))
        bar(X,N./(sum(N)*(X(length(X))-X(1))/(length(X)-1)),'hist')
        h = findobj(gca,'Type','patch');
        set(h,'FaceColor','k');
        set(gca,'XLim',[-3*std(Z) 3*std(Z)],'XTick',std(Z).*[-2 -1 0 1 2] ,'TickDir','out','TickLength',[0.02 0],'FontSize',10,'FontWeight','normal','XTickLabel',{'-2';'-1';'0';'1';'2'},...
            'YLim', [0 0.8], 'YTick',[0.0 0.2 0.4 0.6], 'YTickLabel',{'0','','0.4',''})
    elseif ((i~=1)&(j==1))
        bar(X,N./(sum(N)*(X(length(X))-X(1))/(length(X)-1)),'hist')
        h = findobj(gca,'Type','patch');
        set(h,'FaceColor','k');
            set(gca,'XLim',[-3*std(Z) 3*std(Z)],'XTick',std(Z).*[-2 -1 0 1 2] ,'TickDir','out','TickLength',[0.02 0],'FontSize',10,'FontWeight','normal','XTickLabel',{'-2';'-1';'0';'1';'2'},...
            'YLim', [0 0.8], 'YTick',[0.2 0.4 0.6], 'YTickLabel',{'','',''})
    else
        bar(X,N./(sum(N)*(X(length(X))-X(1))/(length(X)-1)),'hist')
        h = findobj(gca,'Type','patch');
        set(h,'FaceColor','k');
            set(gca,'XLim',[-3*std(Z) 3*std(Z)],'XTick',std(Z).*[-2 -1 0 1 2] ,'TickDir','out','TickLength',[0.02 0],'FontSize',10,'FontWeight','normal','XTickLabel',{'';'';'';'';''},...
            'YLim', [0 0.8], 'YTick',[0.2 0.4 0.6], 'YTickLabel',{'','',''})
    end
end
end


%Representation of tissue in a simplified three component system (P+S, F, W)
%Define the vertices of the triangular patch object
a=1;h=a*sqrt(3)/2;
vert = [0 0 0; 1 0 0; a/2 a*sqrt(3)/2 0];
theta = pi/3;
%Defining face matrix
fac = [1 2 3];
%Defining face color
tcolor = [1 1 1];
%Plotting on square axes
figure; axis square; axis off;
patch('Faces',fac,'Vertices',vert,'FaceVertexCData',tcolor,'FaceColor','flat','FaceAlpha',1);
hold

for i= 0:10
    x1(i+1) = (a*i/10)*cos(theta); y1(i+1) = (a*i/10)*sin(theta);
    x2(i+1) = a*i/10; y2(i+1) = 0;
    x3(i+1) = a + (a*i/10)*cos(pi-theta); y3(i+1) = (a*i/10)*sin(theta);
end

for i=1:11
    if(i==11)
        plot([x1(i) x2(i)],[y1(i) y2(i)],'k','LineWidth',2);
    else
        plot([x1(i) x2(i)],[y1(i) y2(i)],'k','LineWidth',1.25);
    end
    if(i==1)
        plot([x2(i) x3(12-i)],[y2(i) y3(12-i)],'k','LineWidth',2);
    else
        plot([x2(i) x3(12-i)],[y2(i) y3(12-i)],'k','LineWidth',1.25);
    end
    if(i==1)
        plot([x3(i) x1(i)],[y3(i) y1(i)],'k','LineWidth',2);
    else
        plot([x3(i) x1(i)],[y3(i) y1(i)],'k','LineWidth',1.25);
    end
end
l1=x1;l2=x2;l3=x3;m1=y1;m2=y2;m3=y3;
text(0,0,['(W=0, P+S=1, F=0)'], 'HorizontalAlignment','Center','VerticalAlignment','Top','FontSize',18)
text(a,0,['(W=0, P+S=0, F=1)'], 'HorizontalAlignment','Center','VerticalAlignment','Top','FontSize',18)
text(a/2,h,['(W=1, P+S= 0, F=0)'], 'HorizontalAlignment','Center','VerticalAlignment','Bottom','FontSize',18)

Str(1) = {'W = Water'}; Str(2) = {'P+S = Protein + Solutes'}; Str(3) = {'F = Fat'};
text(0.1, 0.8*h, Str,'FontSize',18);


xytiss = inv([0 1;-tan(theta) 1])*[heart_MEAN(3)*h; -heart_MEAN(5)*h*sec(theta)];
plot(xytiss(1),xytiss(2),'ks','MarkerSize',6, 'MarkerEdgeColor','k','MarkerFaceColor','k')
text(xytiss(1)+0.01,xytiss(2),['(P+S = ',num2str(heart_MEAN(4)+heart_MEAN(6)),', F = ',num2str(heart_MEAN(5)),', W = ',num2str(heart_MEAN(3)),')'],...
   'HorizontalAlignment','Left','VerticalAlignment','Middle','FontSize',18)


%Figure 1 Tissue representation in three component space
figure; axis square; axis off;
patch('Faces',fac,'Vertices',vert,'FaceVertexCData',[1 1 1],'FaceColor','flat','FaceAlpha',1);
hold
psratio = heart_MEAN(6)/heart_MEAN(4);
P = (1/heart_MEAN(1)-1/Rw)/(1/Rp+fvs*psratio/Rs-(1+psratio)/Rw);
l = h*(1-P*(1+psratio))*sec(theta/2);
x1 = l*cos(theta); y1=l*sin(theta);
P = (1/heart_MEAN(1)-1/smRf)/(1/Rp+fvs*psratio/Rs-(1+psratio)/smRf);
x2 = h*(1-P*(1+psratio))*sec(theta/2); y2 = 0;
isodensx = [x1 x2]; isodensy = [y1 y2]; 
xytiss = inv([0 1;-tan(theta) 1])*[heart_MEAN(3)*h; -heart_MEAN(5)*h*sec(theta)];
PSdehyd = 1/(1+heart_MEAN(5)/(heart_MEAN(4)+heart_MEAN(6)));
dehydx = [xytiss(1) h*(1-PSdehyd)*sec(theta/2)]; dehydy = [xytiss(2) 0];
plot(dehydx(1),dehydy(1),'ko','MarkerSize',8);
plot(isodensx,isodensy,'-','Color',[0 0 0],'LineWidth',2);
plot([xytiss(1) a/2],[xytiss(2) h],'k--','LineWidth',2)
plot(dehydx,dehydy,'k:','LineWidth',2);
legend ('Myocardium','Constant density line','Edema line','Dehydration line');

x1=l1;x2=l2;x3=l3;y1=m1;y2=m2;y3=m3;
for i=1:11
    if(i==11)
        plot([x1(i) x2(i)],[y1(i) y2(i)],'k','LineWidth',1.5);
    else
        plot([x1(i) x2(i)],[y1(i) y2(i)],'k','LineWidth',0.75);
    end
    if(i==1)
        plot([x2(i) x3(12-i)],[y2(i) y3(12-i)],'k','LineWidth',1.5);
    else
        plot([x2(i) x3(12-i)],[y2(i) y3(12-i)],'k','LineWidth',0.75);
    end
    if(i==1)
        plot([x3(i) x1(i)],[y3(i) y1(i)],'k','LineWidth',1.5);
    else
        plot([x3(i) x1(i)],[y3(i) y1(i)],'k','LineWidth',0.75);
    end
end

%Figure 2: Representation of regions in three phase space
figure; axis square; axis off;
tcolor = [1 1 1];
patch('Faces',fac,'Vertices',vert,'FaceVertexCData',tcolor,'FaceColor','flat','FaceAlpha',1);
hold
xyrbc = inv([0 1;-tan(theta) 1])*[RBC_MEAN(3)*h; -RBC_MEAN(5)*h*sec(theta)];
xypl = inv([0 1;-tan(theta) 1])*[Plasma_MEAN(3)*h; -Plasma_MEAN(5)*h*sec(theta)];
xyisf = inv([0 1;-tan(theta) 1])*[ISF_MEAN(3)*h; -ISF_MEAN(5)*h*sec(theta)];
xycy = inv([0 1;-tan(theta) 1])*[cyto_MEAN(3)*h; -cyto_MEAN(5)*h*sec(theta)];
xymi = inv([0 1;-tan(theta) 1])*[mito_MEAN(3)*h; -mito_MEAN(5)*h*sec(theta)];
xysr = inv([0 1;-tan(theta) 1])*[sr_MEAN(3)*h; -sr_MEAN(5)*h*sec(theta)];
plot(xypl(1),xypl(2),'ko','MarkerSize',10)
plot(xyisf(1),xyisf(2),'kv','MarkerSize',10)
plot(xycy(1),xycy(2),'kd','MarkerSize',10)
plot(xytiss(1),xytiss(2),'ks','Markersize',10)
plot(xyrbc(1),xyrbc(2),'k*','Markersize',10)
plot(xymi(1),xymi(2),'kx','Markersize',10)
plot(xysr(1),xysr(2),'k+','Markersize',10)
legend('Plasma','ISF','Cytoplasm','Tissue','RBC','Mitochondria','Sarcoplasmic Reticulum')

for i=1:11
    if(i==11)
        plot([x1(i) x2(i)],[y1(i) y2(i)],'k','LineWidth',0.75);
    else
        plot([x1(i) x2(i)],[y1(i) y2(i)],'k','LineWidth',0.75);
    end
    if(i==1)
        plot([x2(i) x3(12-i)],[y2(i) y3(12-i)],'k','LineWidth',0.75);
    else
        plot([x2(i) x3(12-i)],[y2(i) y3(12-i)],'k','LineWidth',0.75);
    end
    if(i==1)
        plot([x3(i) x1(i)],[y3(i) y1(i)],'k','LineWidth',0.75);
    else
        plot([x3(i) x1(i)],[y3(i) y1(i)],'k','LineWidth',0.75);
    end
end
